diff --git a/src/org/armedbear/lisp/clos.lisp b/src/org/armedbear/lisp/clos.lisp
index e2aa415..e3b40af 100644
--- a/src/org/armedbear/lisp/clos.lisp
+++ b/src/org/armedbear/lisp/clos.lisp
@@ -1483,7 +1483,7 @@
       (values function-name
               qualifiers
               (extract-lambda-list specialized-lambda-list)
-              (extract-specializers specialized-lambda-list)
+              (extract-specializer-names specialized-lambda-list)
               documentation
               declarations
               (list* 'block
@@ -1514,7 +1514,7 @@
       ,@(if opts `(&optional ,@opts) ())
       ,@(if auxs `(&aux ,@auxs) ()))))
 
-(defun extract-specializers (specialized-lambda-list)
+(defun extract-specializer-names (specialized-lambda-list)
   (let ((plist (analyze-lambda-list specialized-lambda-list)))
     (getf plist ':specializers)))
 
diff --git a/src/org/armedbear/lisp/mop.lisp b/src/org/armedbear/lisp/mop.lisp
index c1b79b0..869a4aa 100644
--- a/src/org/armedbear/lisp/mop.lisp
+++ b/src/org/armedbear/lisp/mop.lisp
@@ -62,6 +62,7 @@
 
           eql-specializer-object
           extract-lambda-list
+          extract-specializer-names
 
           intern-eql-specializer))
 
